#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
# be strict regarding symbol file
export DPKG_GENSYMBOLS_CHECK_LEVEL := 3
include /usr/share/dpkg/default.mk
# gather version info and strip debian release stuff to be consistent
PDCOM_VERSION=`dpkg-parsechangelog --show-field Version | cut -d - -f 1`

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	dh_auto_build -- -s cmake
	dh_auto_build  --sourcedirectory=python -- -s distutils

override_dh_auto_install:
	dh_auto_install -- -s cmake
	python3 symbol-versioning/symbol_version_tool.py -i cyrus_sasl/pdcom-sasl.map.yaml --library $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libpdcom5-sasl.so.2 \
		-o debian/libpdcom5-sasl2.symbols GenerateDebianSymbolsFile
	python3 symbol-versioning/symbol_version_tool.py -i gnutls/pdcom-gnutls.map.yaml --library $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libpdcom5-gnutls.so.2 \
		-o debian/libpdcom5-gnutls2.symbols GenerateDebianSymbolsFile
	python3 symbol-versioning/symbol_version_tool.py -i src/pdcom.map.yaml --library $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libpdcom5.so.2 \
		-o debian/libpdcom5-2.symbols GenerateDebianSymbolsFile
	dh_auto_install --sourcedirectory=python -- -s distutils

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3 --buildsystem=pybuild

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
override_dh_auto_configure:
	dh_auto_configure -- -s cmake --configure-args="-DBUILD_TESTING=0 -DEXAMPLE=0 -DVERSION_HASH=${PDCOM_VERSION} -DUSE_SYMBOL_VERSIONING=1"
	ln -s ../debian python/debian
	dh_auto_configure --sourcedirectory=python -- -s distutils
